import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const cityGetPoultryFarm = createAsyncThunk(
  "CITY_GET_POULTRY_FARMS",
  async (_, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("Poultry/?operator=CityOperator");
    dispatch(LOADING_END());
    return { data, status };
  }
);
